Bug 188448 - Cannot see Japanese ps in SAFER mode
Cannot see Japanese ps in SAFER mode
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Tim Waugh
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2006-04-10 02:09 EDT by Mamoru TASAKA
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-17 13:05:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
A log of gs in SAFER mode for the test case (2.56 KB, text/plain)
2006-04-10 02:09 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Mamoru TASAKA 2006-04-10 02:09:59 EDT
Description of problem:
Some Japanese ps file cannot be seen by gs in -dSAFER mode. One of the test case
is https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=116960  (in
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=163663 ).
Other applications such as evince (in core), gv (in extras) invoke gs in SAFER
mode, so some Japanese ps files (such as the test case) cannot be seen.

Removing -dSAFER option may cause some security hole.

Version-Release number of selected component (if applicable):
ghostscript-8.15.1-7 fonts-japanese-0.20050222-11.1

How reproducible:

Steps to Reproduce:
1. Download a Japanese ps file
2.  See the ps file with gs in SAFER mode
Actual results:
I cannot see ps file with gs (see the attachment file log)

Expected results:
Can see ps file in SAFER mode

Additional info:
When I try gs -h,
Search path:
   . : /usr/share/ghostscript/8.15/lib :
   /usr/share/ghostscript/8.15/Resource : /usr/share/ghostscript/fonts :
   /usr/share/fonts/default/ghostscript : /usr/share/fonts/default/Type1 :
   /usr/share/fonts/default/amspsfnt/pfb :
   /usr/share/fonts/default/cmpsfont/pfb : /etc/ghostscript

/usr/share/fonts/japanese is not included in the search path. When I add
/usr/share/fonts/japanese to GS_LIB environment, gs works correctly with SAFER mode.
Comment 1 Mamoru TASAKA 2006-04-10 02:09:59 EDT
Created attachment 127536 [details]
A log of gs in SAFER mode for the test case
Comment 2 Tim Waugh 2006-04-10 06:37:01 EDT
Fixed for Fedora Core devel in 8.15.1-9.
Comment 3 Tim Waugh 2006-04-10 07:05:44 EDT
Queued for FC5 test update.
Comment 4 Mamoru TASAKA 2006-04-10 12:58:38 EDT
FC5 test update version ghostscript-8.15.1-7.2 works WELL for me.
Comment 5 Fedora Update System 2006-04-10 17:24:42 EDT
Fixed in ghostscript-8.15.1-7.2.
Comment 6 Mamoru TASAKA 2006-04-17 13:05:41 EDT
Current rawhide ghostscript-8.15.1-9 works WELL for me and I close this bug as

Note You need to log in before you can comment on or make changes to this bug.